## BudgieRavenPlugin BudgieRavenPlugin |

## Functions

BudgieRavenWidget * | budgie_raven_plugin_new_widget_instance ()
gboolean | budgie_raven_plugin_supports_settings ()

## Object Hierarchy

        GInterface
        ╰── BudgieRavenPlugin

## Description

## Functions

### budgie_raven_plugin_new_widget_instance ()

    BudgieRavenWidget *
    budgie_raven_plugin_new_widget_instance
                                   (BudgieRavenPlugin *self,
                                    gchar *uuid,
                                    GSettings *settings);

#### Parameters

self | A BudgieRavenPlugin |
uuid | UUID for this new instance |
settings | Settings for this new instance. | [nullable]

#### Returns

A newly initialized Raven widget.

[transfer full]

### budgie_raven_plugin_supports_settings ()

    gboolean
    budgie_raven_plugin_supports_settings (BudgieRavenPlugin *self);

#### Parameters

self | A BudgieRavenPlugin |

#### Returns

Whether this plugin supports per-instance settings